CREATE TABLE egp_item_keyword_attrs (
    KEYWORD_ATTR_ID          NUMBER(18, 0) ,
    OBJECT_TYPE              VARCHAR2(160)     NOT NULL,
    ATTR_GROUP               VARCHAR2(320)     NOT NULL,
    ATTR_CODE                VARCHAR2(320)     NOT NULL,
    ATTR_ROW_STATUS          VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    KEYWORD_ATTR_ID          NUMBER(18, 0) ,
    OBJECT_TYPE              VARCHAR2(160)     NOT NULL,
    ATTR_GROUP               VARCHAR2(320)     NOT NULL,
    ATTR_CODE                VARCHAR2(320)     NOT NULL,
    ATTR_ROW_STATUS          VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_egp_item_keyword_attrs PRIMARY KEY (KEYWORD_ATTR_ID, KEYWORD_ATTR_ID)
);
